
%global qt_module qtcharts

%if 0%{?unstable}
%global prerelease rc2
%endif

%global examples 1

Summary: Qt6 - Charts component
Name:    qt6-%{qt_module}
Version: 6.6.0
Release:    1%{?dist}

License: GPL-3.0-only WITH Qt-GPL-exception-1.0
Url:     http://www.qt.io
%global majmin %(echo %{version} | cut -d. -f1-2)
%global  qt_version %(echo %{version} | cut -d~ -f1)

%if 0%{?unstable}
Source0: https://download.qt.io/development_releases/qt/%{majmin}/%{qt_version}/submodules/%{qt_module}-everywhere-src-%{qt_version}-%{prerelease}.tar.xz
%else
Source0: https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-src-%{version}.tar.xz
%endif

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: ninja-build
BuildRequires: qt6-qtbase-devel >= %{version}
BuildRequires: qt6-qtbase-private-devel
%{?_qt6:Requires: %{_qt6} = %{_qt6_version}}
BuildRequires: qt6-qtdeclarative-devel >= %{version}
BuildRequires: pkgconfig(xkbcommon)

%description
Qt Charts module provides a set of easy to use chart components. It uses the Qt Graphics View Framework, therefore charts can be easily
integrated to modern user interfaces. Qt Charts can be used as QWidgets, QGraphicsWidget, or QML types.
Users can easily create impressive graphs by selecting one of the charts themes.

%package devel
Summary: Development files for %{name}
Requires: qt6-qtbase-devel
%description devel
%{summary}.

%if 0%{?examples}
%package examples
Summary: Programming examples for %{name}
Requires: %{name} = %{version}-%{release}
%description examples
%{summary}.
%endif

%prep
%autosetup -n %{qt_module}-everywhere-src-%{qt_version}%{?unstable:-%{prerelease}} -p1


%build
%cmake_qt6 -DQT_BUILD_EXAMPLES:BOOL=%{?examples:ON}%{!?examples:OFF}

%cmake_build

%install
%cmake_install


%files
%license LICENSES/GPL*
%{_qt6_libdir}/libQt6Charts.so.6*
%{_qt6_libdir}/libQt6ChartsQml.so.6*
%{_qt6_qmldir}/QtCharts/

%files devel
%{_qt6_headerdir}/QtCharts/
%{_qt6_headerdir}/QtChartsQml/
%{_qt6_libdir}/libQt6Charts.so
%{_qt6_libdir}/libQt6Charts.prl
%{_qt6_libdir}/libQt6ChartsQml.so
%{_qt6_libdir}/libQt6ChartsQml.prl
%dir %{_qt6_libdir}/cmake/Qt6Charts/
%{_qt6_libdir}/cmake/Qt6Charts/
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtChartsTestsConfig.cmake
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6qtchartsqml2*.cmake
%dir %{_qt6_libdir}/cmake/Qt6ChartsQml/
%{_qt6_libdir}/cmake/Qt6ChartsQml/
%{_qt6_archdatadir}/mkspecs/modules/*
%{_qt6_libdir}/qt6/metatypes/qt6*_metatypes.json
%{_qt6_libdir}/qt6/modules/*.json
%{_qt6_libdir}/pkgconfig/*.pc

%if 0%{?examples}
%files examples
%{_qt6_examplesdir}/
%endif

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.6.0-1
- initial build
